import "vue";
import { s } from "./start-CE9SawgU.js";
import "vue-i18n";
import "pinia";
import "./header-Bn1EKnBE.js";
import { B as a } from "./base-BrZf5x6x.js";
const e = `${a}TaxClasses.`, m = {
  /** getList */
  async getList(t) {
    return s.post(`${e}getList`, t);
  },
  /** get */
  async get(t) {
    return s.post(`${e}get`, {
      taxClass: { id: t }
    });
  },
  /** create */
  async create(t) {
    return s.post(`${e}create`, { taxClass: t });
  },
  /** save */
  async save(t) {
    return s.post(`${e}save`, { taxClass: t });
  },
  /** delete */
  async delete(t) {
    return s.post(`${e}delete`, {
      taxClass: { id: t }
    });
  }
};
export {
  m as t
};
